package org.brapi.test.BrAPITestServer.system.dto;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class AuthErrorResponse {

    private String message;
    private Object detail;

    public AuthErrorResponse() {
    }

    public AuthErrorResponse(String message) {
        this.message = message;
        this.detail = message;
    }

    public AuthErrorResponse(String message, Object detail) {
        this.message = message;
        this.detail = detail;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Object getDetail() {
        return detail;
    }

    public void setDetail(Object detail) {
        this.detail = detail;
    }
}
